Index: cbv2/src/mainboard/amd/serengeti_cheetah_fam10/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/serengeti_cheetah_fam10/Options.lb
+++ cbv2/src/mainboard/amd/serengeti_cheetah_fam10/Options.lb
@@ -17,9 +17,9 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 #
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -151,17 +151,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 ## extra SSDT num
 default CONFIG_ACPI_SSDTX_NUM=31
 
Index: cbv2/src/mainboard/arima/hdama/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/arima/hdama/Config.lb
+++ cbv2/src/mainboard/arima/hdama/Config.lb
@@ -13,8 +13,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/arima/hdama/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/arima/hdama/Makefile.inc
+++ cbv2/src/mainboard/arima/hdama/Makefile.inc
@@ -22,8 +22,8 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable.
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/arima/hdama/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/arima/hdama/Options.lb
+++ cbv2/src/mainboard/arima/hdama/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -88,14 +88,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=9
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/artecgroup/dbe61/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/artecgroup/dbe61/Config.lb
+++ cbv2/src/mainboard/artecgroup/dbe61/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 	#compile cache_as_ram.c to auto.inc
Index: cbv2/src/mainboard/artecgroup/dbe61/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/artecgroup/dbe61/Makefile.inc
+++ cbv2/src/mainboard/artecgroup/dbe61/Makefile.inc
@@ -1,7 +1,7 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/artecgroup/dbe61/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/artecgroup/dbe61/Options.lb
+++ cbv2/src/mainboard/artecgroup/dbe61/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -27,7 +27,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -67,7 +67,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -82,7 +82,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=3
 default CONFIG_PIRQ_ROUTE=1
 #object irq_tables.o
Index: cbv2/src/mainboard/asi/mb_5blgp/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asi/mb_5blgp/Config.lb
+++ cbv2/src/mainboard/asi/mb_5blgp/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/asi/mb_5blgp/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asi/mb_5blgp/Options.lb
+++ cbv2/src/mainboard/asi/mb_5blgp/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -72,11 +72,11 @@ default CONFIG_SPLASH_GRAPHIC = 1
 default CONFIG_VIDEO_MB = 2
 
 default CONFIG_ROM_SIZE = 256 * 1024
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 3		# Override this in targets/*/Config.lb.
 default CONFIG_PIRQ_ROUTE = 1
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
Index: cbv2/src/mainboard/asi/mb_5blmp/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asi/mb_5blmp/Config.lb
+++ cbv2/src/mainboard/asi/mb_5blmp/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
Index: cbv2/src/mainboard/asi/mb_5blmp/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asi/mb_5blmp/Options.lb
+++ cbv2/src/mainboard/asi/mb_5blmp/Options.lb
@@ -1,4 +1,4 @@
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -67,7 +67,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=5
 default CONFIG_PIRQ_ROUTE=1
 
Index: cbv2/src/mainboard/asus/a8n_e/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/a8n_e/Config.lb
+++ cbv2/src/mainboard/asus/a8n_e/Config.lb
@@ -29,8 +29,8 @@ arch i386 end
 driver mainboard.o
 # Needed by irq_tables and mptable and acpi_tables.
 object get_bus_conf.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 	if CONFIG_USE_INIT
 		makerule ./auto.o
 			depends "$(CONFIG_MAINBOARD)/cache_as_ram_auto.c option_table.h"
Index: cbv2/src/mainboard/asus/a8n_e/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/asus/a8n_e/Makefile.inc
+++ cbv2/src/mainboard/asus/a8n_e/Makefile.inc
@@ -23,8 +23,8 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/asus/a8n_e/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/a8n_e/Options.lb
+++ cbv2/src/mainboard/asus/a8n_e/Options.lb
@@ -19,8 +19,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_USE_FAILOVER_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -103,9 +103,9 @@ default CONFIG_FAILOVER_SIZE = 4 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
 default CONFIG_HAVE_FAILOVER_BOOT = 1
 default CONFIG_HAVE_HARD_RESET = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 13
-default CONFIG_HAVE_MP_TABLE = 1
+default CONFIG_GENERATE_MP_TABLE = 1
 default CONFIG_HAVE_OPTION_TABLE = 1
 # Move the default coreboot CMOS range off of AMD RTC registers.
 default CONFIG_LB_CKS_RANGE_START = 49
Index: cbv2/src/mainboard/asus/a8v-e_se/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/a8v-e_se/Config.lb
+++ cbv2/src/mainboard/asus/a8v-e_se/Config.lb
@@ -28,7 +28,7 @@ default CONFIG_ROM_PAYLOAD = 1
 arch i386 end 
 
 driver mainboard.o
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
   object acpi_tables.o
   makerule dsdt.c
     depends "$(CONFIG_MAINBOARD)/dsdt.asl"
@@ -37,8 +37,8 @@ if CONFIG_HAVE_ACPI_TABLES
   end
   object ./dsdt.o
 end
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 # object reset.o
 
   if CONFIG_USE_INIT
Index: cbv2/src/mainboard/asus/a8v-e_se/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/asus/a8v-e_se/Makefile.inc
+++ cbv2/src/mainboard/asus/a8v-e_se/Makefile.inc
@@ -1,10 +1,10 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/asus/a8v-e_se/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/a8v-e_se/Options.lb
+++ cbv2/src/mainboard/asus/a8v-e_se/Options.lb
@@ -17,8 +17,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -42,7 +42,7 @@ uses CONFIG_STACK_SIZE
 uses CONFIG_HEAP_SIZE
 # uses CONFIG_USE_OPTION_TABLE
 # uses CONFIG_LB_MEM_TOPK
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_LB_CKS_RANGE_START
 uses CONFIG_LB_CKS_RANGE_END
@@ -94,8 +94,8 @@ default CONFIG_ROM_SIZE = 512 * 1024
 default CONFIG_FALLBACK_SIZE = CONFIG_ROM_IMAGE_SIZE
 default CONFIG_HAVE_FALLBACK_BOOT = 1
 default CONFIG_HAVE_HARD_RESET = 0
-default CONFIG_HAVE_PIRQ_TABLE = 0
-default CONFIG_HAVE_MP_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 1
 default CONFIG_HAVE_OPTION_TABLE = 0	# FIXME
 # Move the default coreboot CMOS range off of AMD RTC registers.
 default CONFIG_LB_CKS_RANGE_START = 49
@@ -105,7 +105,7 @@ default CONFIG_SMP = 1
 default CONFIG_MAX_CPUS = 2
 default CONFIG_MAX_PHYSICAL_CPUS = 1
 default CONFIG_LOGICAL_CPUS = 1
-default CONFIG_HAVE_ACPI_TABLES = 1
+default CONFIG_GENERATE_ACPI_TABLES = 1
 
 # 1G memory hole
 # bx_b001- default K8_HW_MEM_HOLE_SIZEK = 0x100000
Index: cbv2/src/mainboard/asus/m2v-mx_se/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/m2v-mx_se/Config.lb
+++ cbv2/src/mainboard/asus/m2v-mx_se/Config.lb
@@ -27,7 +27,7 @@ include /config/nofailovercalculation.lb
 arch i386 end 
 
 driver mainboard.o
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
   object acpi_tables.o
   makerule dsdt.c
     depends "$(CONFIG_MAINBOARD)/dsdt.asl"
Index: cbv2/src/mainboard/asus/m2v-mx_se/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/asus/m2v-mx_se/Makefile.inc
+++ cbv2/src/mainboard/asus/m2v-mx_se/Makefile.inc
@@ -23,8 +23,8 @@
 driver-y +=  mainboard.o
 
 #needed by irq_tables and mptable and acpi_tables
-obj-$(CONFIG_HAVE_ACPI_TABLES) +=  dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) +=  acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  acpi_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/asus/m2v-mx_se/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/m2v-mx_se/Options.lb
+++ cbv2/src/mainboard/asus/m2v-mx_se/Options.lb
@@ -17,8 +17,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -42,7 +42,7 @@ uses CONFIG_STACK_SIZE
 uses CONFIG_HEAP_SIZE
 uses CONFIG_USE_OPTION_TABLE
 uses CONFIG_LB_MEM_TOPK
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_MAINBOARD_RESOURCES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_HAVE_LOW_TABLES
@@ -95,8 +95,8 @@ uses CONFIG_USE_PRINTK_IN_CAR
 
 default CONFIG_HAVE_FALLBACK_BOOT = 1
 default CONFIG_HAVE_HARD_RESET = 1
-default CONFIG_HAVE_PIRQ_TABLE = 0
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_PIRQ_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_OPTION_TABLE = 1	# FIXME
 # Move the default coreboot CMOS range off of AMD RTC registers.
 default CONFIG_LB_CKS_RANGE_START = 49
@@ -106,7 +106,7 @@ default CONFIG_SMP = 1
 default CONFIG_MAX_CPUS = 2
 default CONFIG_MAX_PHYSICAL_CPUS = 1
 default CONFIG_LOGICAL_CPUS = 1
-default CONFIG_HAVE_ACPI_TABLES = 1
+default CONFIG_GENERATE_ACPI_TABLES = 1
 default CONFIG_HAVE_MAINBOARD_RESOURCES = 1
 default CONFIG_HAVE_LOW_TABLES = 0
 default CONFIG_HAVE_ACPI_RESUME = 1
Index: cbv2/src/mainboard/asus/mew-am/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/mew-am/Config.lb
+++ cbv2/src/mainboard/asus/mew-am/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/asus/mew-am/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/mew-am/Options.lb
+++ cbv2/src/mainboard/asus/mew-am/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 512 * 1024		# Override this in targets/*/Config.lb.
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 8		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/asus/mew-vm/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/mew-vm/Config.lb
+++ cbv2/src/mainboard/asus/mew-vm/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ##
Index: cbv2/src/mainboard/asus/mew-vm/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/mew-vm/Options.lb
+++ cbv2/src/mainboard/asus/mew-vm/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -26,7 +26,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -55,7 +55,7 @@ default CONFIG_HAVE_FALLBACK_BOOT = 1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -65,7 +65,7 @@ default CONFIG_HAVE_HARD_RESET = 0
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 11
 
 ##
Index: cbv2/src/mainboard/asus/p2b-d/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p2b-d/Config.lb
+++ cbv2/src/mainboard/asus/p2b-d/Config.lb
@@ -25,8 +25,8 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 makerule ./failover.E
 	depends "$(CONFIG_MAINBOARD)/../../../arch/i386/lib/failover.c ../romcc"
 	action "../romcc -E -O2 -mcpu=p2 --label-prefix=failover -I$(TOP)/src -I. $(CPPFLAGS) $(CONFIG_MAINBOARD)/../../../arch/i386/lib/failover.c -o $@"
Index: cbv2/src/mainboard/asus/p2b-d/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p2b-d/Options.lb
+++ cbv2/src/mainboard/asus/p2b-d/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -46,7 +46,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -69,11 +69,11 @@ uses CONFIG_IOAPIC
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 1
+default CONFIG_GENERATE_MP_TABLE = 1
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 6		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/asus/p2b-ds/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p2b-ds/Config.lb
+++ cbv2/src/mainboard/asus/p2b-ds/Config.lb
@@ -25,8 +25,8 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 makerule ./failover.E
 	depends "$(CONFIG_MAINBOARD)/../../../arch/i386/lib/failover.c ../romcc"
 	action "../romcc -E -O2 -mcpu=p2 --label-prefix=failover -I$(TOP)/src -I. $(CPPFLAGS) $(CONFIG_MAINBOARD)/../../../arch/i386/lib/failover.c -o $@"
Index: cbv2/src/mainboard/asus/p2b-ds/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p2b-ds/Options.lb
+++ cbv2/src/mainboard/asus/p2b-ds/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -46,7 +46,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -69,11 +69,11 @@ uses CONFIG_IOAPIC
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 1
+default CONFIG_GENERATE_MP_TABLE = 1
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/asus/p2b-f/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p2b-f/Config.lb
+++ cbv2/src/mainboard/asus/p2b-f/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/asus/p2b-f/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p2b-f/Options.lb
+++ cbv2/src/mainboard/asus/p2b-f/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/asus/p2b/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p2b/Config.lb
+++ cbv2/src/mainboard/asus/p2b/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/asus/p2b/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p2b/Options.lb
+++ cbv2/src/mainboard/asus/p2b/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -46,7 +46,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -66,11 +66,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 6		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/asus/p3b-f/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p3b-f/Config.lb
+++ cbv2/src/mainboard/asus/p3b-f/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/asus/p3b-f/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/asus/p3b-f/Options.lb
+++ cbv2/src/mainboard/asus/p3b-f/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 8		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/axus/tc320/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/axus/tc320/Config.lb
+++ cbv2/src/mainboard/axus/tc320/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 makerule ./failover.E
 	depends "$(CONFIG_MAINBOARD)/../../../arch/i386/lib/failover.c ../romcc"
 	action "../romcc -E -O --label-prefix=failover -I$(TOP)/src -I. $(CPPFLAGS) $(CONFIG_MAINBOARD)/../../../arch/i386/lib/failover.c -o $@"
Index: cbv2/src/mainboard/axus/tc320/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/axus/tc320/Options.lb
+++ cbv2/src/mainboard/axus/tc320/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -75,11 +75,11 @@ default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_MAINBOARD_VENDOR = "AXUS"
 default CONFIG_MAINBOARD_PART_NUMBER = "TC320"
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 2	# Soldered NIC, internal USB, no real slots
 default CONFIG_PIRQ_ROUTE = 1
 default CONFIG_HAVE_OPTION_TABLE = 0
Index: cbv2/src/mainboard/azza/pt-6ibd/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/azza/pt-6ibd/Config.lb
+++ cbv2/src/mainboard/azza/pt-6ibd/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 default CONFIG_XIP_ROM_BASE = 0xffffffff - CONFIG_XIP_ROM_SIZE + 1
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
